
Redmine - Feature #11969

Subtask display fields

2012-09-27 18:13 - Jim McAleer

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I would like to have the option to display certain fields in the Issue hierarchy panel.  It makes it really clear if a estimate of time is not

in the total time and would need to be added.

Like estimated time, start date, and end date.  This should be an overall configuration in settings with just a simple check box next to

the field names.

So instead of  

Issue hierarchy (Add a subtask)

Bug #400: Parent Issue

>New Bug #401: Child Issue 1 New                 

>New Bug #402: Child Issue 2 New

>New Bug #403: Child Issue 3 New

>New Bug #404: Child Issue 4 New

>New Bug #404: Child Issue 5 New

>New Bug #404: Child Issue 6 New

You would see  

Issue hierarchy (Add a subtask)

Bug #400: Parent Issue Start Date: Est Hrs: Status Pct

Complete

>New Bug #401: Child Issue

1

1/1/2012 6.0 New                 

>New Bug #402: Child Issue

2

1/1/2012 1.0 New

>New Bug #403: Child Issue

3

1/2/2012 12.0 New

>New Bug #404: Child Issue

4

1/3/2012 4.0 New

>New Bug #404: Child Issue

5

1/3/2012 New

>New Bug #404: Child Issue

6

1/3/2012 4.0 New

Related issues:

Related to Redmine - Feature #14017: Issue PDF | Subtasks | Show Projectname ... New

Related to Redmine - Feature #5130: Configurable columns in related tasks sec... New 2010-03-19

Related to Redmine - Feature #31050: Issue view - allow all issue attributes ... New

Related to Redmine - Feature #42477: Configurable columns for the lists of ch... Closed

Has duplicate Redmine - Feature #34845: Configuration of display of subtickets Closed

History

#1 - 2012-09-30 10:18 - Toshi MARUYAMA

- Category set to Issues
https://www.redmine.org/issues/401
https://www.redmine.org/issues/402
https://www.redmine.org/issues/403
https://www.redmine.org/issues/404
https://www.redmine.org/issues/404
https://www.redmine.org/issues/404
https://www.redmine.org/issues/400
https://www.redmine.org/issues/401
https://www.redmine.org/issues/402
https://www.redmine.org/issues/403
https://www.redmine.org/issues/404
https://www.redmine.org/issues/404
https://www.redmine.org/issues/404


#2 - 2012-12-19 13:42 - Adriano Ceccarelli

+1

Best would be if the structure were defined through settings such as:

Administration / Settings / Issue tracking / [Default columns displayed on the issue list]

#3 - 2012-12-19 22:16 - Terence Mill

+1

#4 - 2013-03-25 17:22 - Dipan Mehta

+1. Good to have.

#5 - 2013-05-08 16:53 - H. Nefkens

In stead of making a new ticket (and give more work on Bugday's Integration), I chose to update this one :).

I personally think that this Feature is a great improvement to overview a parent task with his subtasks. Some Projects/ parent tasks have issues

spread over multiple versions. It would be great if it's possible to see the version (shown before the status field) for each subtask when viewing the

parent task.

The suggestion in note 2 is the best option, to let the admin decide which field should be shown. Under the option <Default columns displayed on the

issue list> you could make another list with 'Available Colums' and 'Selected Colums' and name this option something like <Default columns displayed

for subtasks in a parent task>.

Possible Columns are:

- Project

- Issue

- Subject

- Target version (that's the one I really could use!)

- Status

- Assignee

- % Done

#6 - 2013-05-08 17:06 - H. Nefkens

- File Subtask version in Parent task.PNG added

Added an example.

#7 - 2013-11-20 20:57 - Colin Sullivan

+1

This would be helpful for us too.  And would make it easier to convince my colleagues to use Redmine over spreadsheets.

#8 - 2014-01-22 14:33 - Michaël de Groot

+1

This would be helpful for us (200 fte using redmine)

#9 - 2014-04-11 06:28 - Enver Ablyaev

+1

#10 - 2015-01-16 19:32 - Enver Ablyaev

+1

#11 - 2015-04-21 13:39 - Dmitry Maximov

+1

#12 - 2015-12-02 12:15 - Kamil Franckiewicz

+1

#13 - 2015-12-02 12:17 - Sebastian Paluch

+1

2025-05-02 2/3

https://www.redmine.org/boards/1/topics/35571


#14 - 2016-02-03 08:33 - Mikhail Barg

+1

#15 - 2016-10-14 11:20 - Stephane Evr

+1

#16 - 2016-12-06 08:41 - Beslan CELIKCAN

+1

#17 - 2017-11-03 17:43 - Ryan Bond

+1

#18 - 2018-06-19 13:28 - icaro gabriel

+1

#19 - 2018-08-06 00:52 - Tom Lithgow

+1

This would be ideal for us to display priorities of a sub-task within a parent.

#20 - 2018-08-17 18:27 - Igor Panassiouk

+1

#21 - 2018-08-26 21:11 - Marius BĂLTEANU

- Related to Feature #5130: Configurable columns in related tasks section added

#22 - 2019-03-18 16:52 - Bernhard Rohloff

- Related to Feature #31050: Issue view - allow all issue attributes to be shown for related tickets and subtasks added

#23 - 2022-01-04 06:44 - Go MAEDA

- Has duplicate Feature #34845: Configuration of display of subtickets added

#24 - 2024-12-05 10:54 - Marco Shima

+1

#25 - 2025-04-23 06:53 - Go MAEDA

- Related to Feature #42477: Configurable columns for the lists of child and related issues added

Files

Subtask version in Parent task.PNG 3.27 KB 2013-05-08 H. Nefkens
